import { SvgIconProps } from "../../app/types/types";


export function PayFactureIcon(props: SvgIconProps) {
  return (
    <svg width="25" height="24" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M16.2502 1.5C14.9065 1.5 13.7514 2.32717 13.259 3.5C13.256 3.49999 13.2532 3.5 13.2502 3.5C11.188 3.5 9.50021 5.18782 9.50021 7.25C9.50021 9.31218 11.188 11 13.2502 11C15.0817 11 16.615 9.66737 16.9358 7.9248C18.3957 7.60718 19.5002 6.30077 19.5002 4.75C19.5002 2.96403 18.0362 1.5 16.2502 1.5ZM16.2502 3C17.2252 3 18.0002 3.77497 18.0002 4.75C18.0002 5.4968 17.5437 6.12222 16.8928 6.37598C16.6173 5.23578 15.8191 4.295 14.7668 3.8252C15.0742 3.33123 15.6183 3 16.2502 3ZM13.2502 5C14.5017 5 15.5002 5.99848 15.5002 7.25C15.5002 8.50152 14.5017 9.5 13.2502 9.5C11.9987 9.5 11.0002 8.50152 11.0002 7.25C11.0002 5.99848 11.9987 5 13.2502 5ZM21.3069 11.0098C20.7468 11.0146 20.2148 11.2366 19.7424 11.5879C19.2353 11.9646 17.7094 13.104 16.3889 14.0898C16.1025 13.1758 15.2532 12.5 14.2502 12.5H12.0539C10.6483 12.5 9.99298 12.3861 9.4299 12.2666C8.86682 12.1471 8.3236 12 7.4133 12C5.47091 12 4.00638 13.2465 3.04709 14.3955C2.0878 15.5445 1.5676 16.6924 1.5676 16.6924C1.52672 16.782 1.50391 16.8788 1.50046 16.9773C1.49701 17.0758 1.51299 17.174 1.54749 17.2662C1.58199 17.3585 1.63433 17.4431 1.70152 17.5152C1.76872 17.5872 1.84945 17.6453 1.9391 17.6862C2.02876 17.727 2.12559 17.7498 2.22405 17.7533C2.32252 17.7567 2.42069 17.7407 2.51297 17.7062C2.60525 17.6716 2.68982 17.6193 2.76186 17.5521C2.8339 17.4849 2.892 17.4041 2.93283 17.3145C2.93283 17.3145 3.38237 16.3349 4.19846 15.3574C5.01454 14.3799 6.13019 13.5 7.4133 13.5C8.17399 13.5 8.50358 13.6029 9.11838 13.7334C9.73317 13.8639 10.562 14 12.0539 14H14.2502C14.6735 14 15.0002 14.3268 15.0002 14.75C15.0002 14.9847 14.8973 15.1871 14.7356 15.3232L14.7151 15.3389C14.7003 15.3504 14.686 15.3624 14.6721 15.375C14.5529 15.4543 14.4084 15.5 14.2502 15.5H10.7502C10.6508 15.4986 10.5522 15.517 10.4599 15.554C10.3677 15.5911 10.2838 15.6461 10.213 15.7159C10.1422 15.7857 10.086 15.8688 10.0476 15.9605C10.0093 16.0522 9.98953 16.1506 9.98953 16.25C9.98953 16.3494 10.0093 16.4478 10.0476 16.5395C10.086 16.6312 10.1422 16.7143 10.213 16.7841C10.2838 16.8539 10.3677 16.9089 10.4599 16.946C10.5522 16.983 10.6508 17.0014 10.7502 17H14.2502C14.7213 17 15.1595 16.8505 15.5227 16.5986C15.554 16.5816 15.584 16.5623 15.6125 16.541C15.6125 16.541 19.8882 13.3482 20.6369 12.792V12.791C20.919 12.5813 21.1551 12.5112 21.3205 12.5098C21.4859 12.5083 21.6094 12.5485 21.7805 12.7197C22.0757 13.0147 22.0739 13.4676 21.7863 13.7666C19.1088 16.0181 17.4244 17.5184 16.3117 18.3975C15.1852 19.2875 14.7127 19.5 14.2502 19.5C12.4242 19.5 10.4005 19 8.25021 19C7.00021 19 6.1216 19.6718 5.6506 20.2998C5.1796 20.9278 5.02267 21.5684 5.02267 21.5684C4.9962 21.6648 4.98927 21.7655 5.00228 21.8646C5.01529 21.9637 5.04799 22.0593 5.09845 22.1456C5.14891 22.2319 5.21612 22.3072 5.29611 22.3672C5.37611 22.4271 5.46729 22.4705 5.56428 22.4947C5.66128 22.5189 5.76214 22.5235 5.86093 22.5082C5.95973 22.4929 6.05446 22.458 6.13956 22.4055C6.22467 22.353 6.29843 22.2841 6.3565 22.2027C6.41458 22.1213 6.4558 22.0292 6.47775 21.9316C6.47775 21.9316 6.57082 21.5722 6.84982 21.2002C7.12882 20.8282 7.50021 20.5 8.25021 20.5C10.1539 20.5 12.1683 21 14.2502 21C15.2012 21 16.0426 20.5222 17.2414 19.5752C18.4251 18.6401 20.0879 17.155 22.7492 14.917C22.7818 14.8941 22.8125 14.8686 22.841 14.8408C22.8445 14.8374 22.8454 14.8326 22.8488 14.8291L22.8508 14.8311L22.8772 14.8037C22.9503 14.7275 23.0066 14.6366 23.0422 14.5371C23.6655 13.6609 23.6247 12.4421 22.841 11.6592C22.4267 11.2445 21.867 11.0049 21.3069 11.0098Z"
        fill="#AD2184"
      />
    </svg>
  )
}
